Bug Tracker – Bug 1020

Server packets are too large and are dropped, causing incomplete master server

Last modified: 2019-01-06 03:00:23 CST
Bug 1020 - Server packets are too large and are dropped, causing incomplete master server
Summary: Server packets are too large and are dropped, causing incomplete master server
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Master (show other bugs)
Version: (old) 0.6.x
Hardware: All All
: P1 major
Assignee: Odamex Bug Reporter
URL:
Depends on:
Blocks:
 
Reported: 2013-09-30 02:57 CDT by Ivan T
Modified: 2019-01-06 03:00 CST (History)
2 users (show)

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan T 2013-09-30 02:57:58 CDT
Odamex server query packets are so large that they are actually filtered out by some ISPs. The result is a master server which does not display all of the servers correctly. Currently, I can only see around 40 server at a time.
Comment 1 Dr. Sean 2013-09-30 02:59:34 CDT
Rice has been working on drastically reducing the size of launcher query packets and I expect this to not be an issue in future releases.
Comment 2 Mike Lightner 2014-03-30 16:36:48 CDT
This should no longer be an issue.  Please confirm.
Comment 3 Ralph Vickers 2019-01-06 03:00:23 CST
Bug is very old. Does not appear to be an issue. Marking fixed.